Cannot create new blogs?

When I register a new blog, I get the following:

The blog you have requested is not installed properly. Please contact the system administrator.

Seen a few related posts about this with the mulit-db plugin, but I don’t use that.

I have installed quite a few plugins and recently did a bbpress integration, which is working fine.

ANy idea which plugin would have caused this?

Thanks,

George